# Uses of Class
java.lang.ThreadGroup

Packages that use ThreadGroup
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.util.concurrent
Utility classes commonly useful in concurrent programming.

## Uses of ThreadGroup in java.lang

Methods in java.lang that return ThreadGroup
Modifier and Type
Method
Description
`final ThreadGroup`
ThreadGroup.`getParent()`
Returns the parent of this thread group.
`ThreadGroup`
SecurityManager.`getThreadGroup()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the thread group into which to instantiate any new thread being created at the time this is being called.
`final ThreadGroup`
Thread.`getThreadGroup()`
Returns the thread's thread group or `null` if the thread has terminated.
Methods in java.lang with parameters of type ThreadGroup
Modifier and Type
Method
Description
`void`
SecurityManager.`checkAccess(ThreadGroup g)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws a `SecurityException` if the calling thread is not allowed to modify the thread group argument.
`int`
ThreadGroup.`enumerate(ThreadGroup[] list)`
Copies into the specified array references to every subgroup in this thread group and its subgroups.
`int`
ThreadGroup.`enumerate(ThreadGroup[] list, boolean recurse)`
Copies into the specified array references to every subgroup in this thread group.
`Thread.Builder.OfPlatform`
Thread.Builder.OfPlatform.`group(ThreadGroup group)`
Sets the thread group.
`final boolean`
ThreadGroup.`parentOf(ThreadGroup g)`
Tests if this thread group is either the thread group argument or one of its ancestor thread groups.
Constructors in java.lang with parameters of type ThreadGroup
Modifier
Constructor
Description
``
`Thread(ThreadGroup group, Runnable task)`
Initializes a new platform `Thread`.
``
`Thread(ThreadGroup group, Runnable task, String name)`
Initializes a new platform `Thread` so that it has `task` as its run object, has the specified `name` as its name, and belongs to the thread group referred to by `group`.
``
`Thread(ThreadGroup group, Runnable task, String name, long stackSize)`
Initializes a new platform `Thread` so that it has `task` as its run object, has the specified `name` as its name, and belongs to the thread group referred to by `group`, and has the specified stack size.
``
`Thread(ThreadGroup group, Runnable task, String name, long stackSize, boolean inheritInheritableThreadLocals)`
Initializes a new platform `Thread` so that it has `task` as its run object, has the specified `name` as its name, belongs to the thread group referred to by `group`, has the specified `stackSize`, and inherits initial values for inheritable thread-local variables if `inheritThreadLocals` is `true`.
``
`Thread(ThreadGroup group, String name)`
Initializes a new platform `Thread`.
``
`ThreadGroup(ThreadGroup parent, String name)`
Creates a new thread group.

## Uses of ThreadGroup in java.util.concurrent

Constructors in java.util.concurrent with parameters of type ThreadGroup
Modifier
Constructor
Description
`protected`
`ForkJoinWorkerThread(ThreadGroup group, ForkJoinPool pool, boolean preserveThreadLocals)`
Creates a ForkJoinWorkerThread operating in the given thread group and pool, and with the given policy for preserving ThreadLocals.